Subject: bug#23189: closed (Re: bug#23189: Emacs hangs in GC mark phase after making an edit to a markdown document (OS X 10.11) [25.1.50.1])

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Aug 2020 12:50:02 +0000

Your bug report

#23189: Emacs hangs in GC mark phase after making an edit to a markdown document (OS X 10.11) [25.1.50.1]

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23189: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23189
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23189: Emacs hangs in GC mark phase after making an edit to a markdown document (OS X 10.11) [25.1.50.1]
From: Stefan Kangas <[email-masked]>
To: Tom Jakubowski <[email-masked]>
Cc: [email-masked], Alan Third <[email-masked]>
Date: Wed, 12 Aug 2020 05:49:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Tom Jakubowski <[email-masked]> writes:

>> Are you still seeing this on a recent version of Emacs?
>
> Nope, I don't recall this occurring again in the last 4 years.

Thanks for reporting back.  I'm closing the bug now then.

Best regards,
Stefan Kangas

Subject: Emacs hangs in GC mark phase after making an edit to a markdown document (OS X 10.11) [25.1.50.1]
From: Tom Jakubowski <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2016 01:25:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm using GNU Emacs 25.1.50.1 on Mac OS X 10.11. I've been able to
reproduce this hang a couple times, the gist of it is:

1. Open a specific markdown document (using markdown-mode, from MELPA).
2. Make a specific change to this document (deleting one line)
3. Emacs hangs

I attached lldb (sorry Richard :-)) to it and discovered a stack trace 4000
frames deep, almost all of which were in functions named things like
"mark_vector" and "mark_object". I've attached the stack trace to this
email. A few choice lines:

  * frame #0: 0x00000001000fd88a Emacs`mark_object + 758
    frame #1: 0x00000001000fd6fc Emacs`mark_object + 360
    frame #2: 0x00000001000fd6fc Emacs`mark_object + 360
    frame #3: 0x00000001000fd83a Emacs`mark_object + 678
    frame #4: 0x00000001000fdc0c Emacs`mark_vectorlike + 65
    frame #5: 0x00000001000fd7f4 Emacs`mark_object + 608
    frame #6: 0x00000001000fd6fc Emacs`mark_object + 360
    frame #7: 0x00000001000fd7fd Emacs`mark_object + 617
    frame #8: 0x00000001000fd6fc Emacs`mark_object + 360
    frame #9: 0x00000001000fd7fd Emacs`mark_object + 617
    frame #10: 0x00000001000fdc0c Emacs`mark_vectorlike + 65
    frame #11: 0x00000001000fd83a Emacs`mark_object + 678
    frame #12: 0x00000001000fd83a Emacs`mark_object + 678
    frame #13: 0x00000001000fdc0c Emacs`mark_vectorlike + 65

    frame #4581: 0x00000001000fdc0c Emacs`mark_vectorlike + 65
    frame #4582: 0x00000001000fdb17 Emacs`mark_buffer + 25
    frame #4583: 0x00000001000fc8aa Emacs`Fgarbage_collect + 545
    frame #4584: 0x0000000100115967 Emacs`Ffuncall + 293
    frame #4585: 0x00000001001473f9 Emacs`exec_byte_code + 2039
    frame #4586: 0x0000000100115a7a Emacs`Ffuncall + 568
    frame #4587: 0x0000000100115fce Emacs`call1 + 45
    frame #4588: 0x000000010011c95a Emacs`mapcar1 + 503
    frame #4589: 0x000000010011cad0 Emacs`Fmapcar + 255

    frame #4620: 0x0000000100115a7a Emacs`Ffuncall + 568
    frame #4621: 0x000000010011489d Emacs`internal_condition_case_n + 90
    frame #4622: 0x0000000100021898 Emacs`safe__call + 355
    frame #4623: 0x0000000100021720 Emacs`safe_call + 160
    frame #4624: 0x000000010003fed9 Emacs`handle_fontified_prop + 416
    frame #4625: 0x000000010003f3cf Emacs`handle_stop + 120
    frame #4626: 0x00000001000422f2 Emacs`next_element_from_buffer + 740
    frame #4627: 0x000000010001c52d Emacs`get_next_display_element + 49
    frame #4628: 0x000000010001dc63 Emacs`move_it_in_display_line_to + 810
    frame #4629: 0x000000010001c197 Emacs`move_it_to + 860
    frame #4630: 0x000000010001a0d5 Emacs`move_it_by_lines + 83
    frame #4631: 0x0000000100019fd7 Emacs`line_bottom_y + 91

Unfortunately, I'm probably not allowed to attach the markdown document to
this email. I'm perfectly happy to enable any kind of diagnostics which may
help in debugging this and attach them to this bug. I'll also install a
newer pretest version and see if I can reproduce the bug there.

Thanks,

Tom Jakubowski